Subject: Re: [PATCH v2] wifi: mac80211: do not abuse fq.lock in ieee80211_do_stop()

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 18 Jul 2022 13:22:22 +0200

Tetsuo Handa <[email-masked]> writes:

> lockdep complains use of uninitialized spinlock at ieee80211_do_stop() [1],
> for commit f856373e2f31ffd3 ("wifi: mac80211: do not wake queues on a vif
> that is being stopped") guards clear_bit() using fq.lock even before
> fq_init() from ieee80211_txq_setup_flows() initializes this spinlock.
>
> According to discussion [2], Toke was not happy with expanding usage of
> fq.lock. Since __ieee80211_wake_txqs() is called under RCU read lock, we
> can instead use synchronize_rcu() for flushing ieee80211_wake_txqs().

Ah, that's a neat solution! :)

Acked-by: Toke Høiland-Jørgensen <[email-masked]>